#
# spec file for package perl-Text-DelimMatch
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Text-DelimMatch
%define module_name DelimMatch
%define module_version 1.06
Summary:        DelimMatch for Locating Delimited Substrings with Proper Nesting
License:        Artistic-1.0
Group:          Development/Libraries/Perl
Version:        1.06
Release:        15.1
Source0:        %{module_name}-1.06a.tar.gz
Url:            http://search.cpan.org/~nwalsh/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
DelimMatch is a Perl 5 module that provides functions for locating
delimited substrings with proper nesting.

%prep
%setup -q -n %{module_name}-%{module_version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist

%files
%defattr(-, root, root)
%doc  README
%doc %{_mandir}/man?/*
%{perl_vendorarch}/auto/Text
%{perl_vendorlib}/auto/Text
%{perl_vendorlib}/Text

%changelog
* Sun Mar 11 2012 coolo@suse.com
- set version to what is in cpan, to avoid an annoying "another
  upstream version available" warning
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Sun Aug  5 2007 mrueckert@suse.de
- minor spec file cleanup
- use the real version number
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 18 2004 nashif@suse.de
- update to version 1.06
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Fri Jul 18 2003 nashif@suse.de
- fixed file list
* Tue Jul  1 2003 ro@suse.de
- use perl_process_packlist macro
* Fri Jun 13 2003 nashif@suse.de
- Update to version 1.05
- Fixed file list
* Mon Feb  4 2002 nashif@suse.de
- Initial Release (1.04)
